# Global

##

### Type Definitions

#### Chain

##### Type:

- Object

##### Properties:

Name | Type | Description
--- | --- | ---
`chainId` | number | Numeric Chain ID
`hexChainId` | string | Chain ID in hex format
`name` | string | Chain Name
`token` | string | Native chain token
`defaultRpcUrl` | string | Default RPC URL for chain
`explorerUrl` | string | Web explorer URL for chain
`litName` | string | Name of chain in the Lit Protocol
`logo` | string | SVG logo for chain

#### Discount

##### Type:

- Object

##### Properties:

Name | Type | Description
--- | --- | ---
`value` | BigNumber | string | number | Value of discount, either fixed amount or basis points depending on isFixed
`validAfter` | number | Unix timestamp of when discount becomes available for redemption, 0 for immediate
`expiresAt` | number | Unix timestamp of when discount expires, 0 for no expiration
`maxRedemptions` | number | Maximum number of redemptions, 0 for unlimited
`planId` | number | Limit discount to a single plan, 0 to allow redemption by all plans
`gracePeriod` | number | Number of days until a past due subscription is canceled
`applyPeriods` | number | Number of periods the discount applies for, 0 for the lifetime of the subscription
`discountType` | number | Specifies the type of discount. 1 = code, 2 = ERC-20 balance, 3 = ERC-721 holding
`isFixed` | boolean | true if value is a fixed discount, false if value is a percentage in basis points

#### Plan

##### Type:

- Object

##### Properties:

Name | Type | Description
--- | --- | ---
`planId` | number | Plan ID
`price` | BigNumber | string | Plan price
`period` | number | Plan period in seconds
`freeTrial` | number | Free trial length in seconds, 0 for no trial
`maxActive` | number | Maximum number of active subscribers on the plan, 0 for unlimited
`gracePeriod` | number | Number of days until a past due subscription is canceled
`canPause` | boolean | Can subscribers pause their subscription
`canTransfer` | boolean | Can subscribers transfer their subscription NFT